Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rf.ats.services.integration.webserv
Class ParticipantBean

    java.lang.Object
      com.rf.ats.services.integration.webserv.ParticipantBean

All Implemented Interfaces:
  java.io.Serializable

public class ParticipantBean
extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`ParticipantBean()`
`ParticipantBean(java.util.Calendar endDate, long eventId, java.lang.String eventType, long personId, java.lang.String personType, java.util.Calendar startDate)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`static org.apache.axis.encoding.Deserializer` | `getDeserializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Deserializer
`java.util.Calendar` | `getEndDate()` Gets the endDate value for this ParticipantBean.
`long` | `getEventId()` Gets the eventId value for this ParticipantBean.
`java.lang.String` | `getEventType()` Gets the eventType value for this ParticipantBean.
`long` | `getPersonId()` Gets the personId value for this ParticipantBean.
`java.lang.String` | `getPersonType()` Gets the personType value for this ParticipantBean.
`static org.apache.axis.encoding.Serializer` | `getSerializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Serializer
`java.util.Calendar` | `getStartDate()` Gets the startDate value for this ParticipantBean.
`static org.apache.axis.description.TypeDesc` | `getTypeDesc()` Return type metadata object
`int` | `hashCode()`
`void` | `setEndDate(java.util.Calendar endDate)` Sets the endDate value for this ParticipantBean.
`void` | `setEventId(long eventId)` Sets the eventId value for this ParticipantBean.
`void` | `setEventType(java.lang.String eventType)` Sets the eventType value for this ParticipantBean.
`void` | `setPersonId(long personId)` Sets the personId value for this ParticipantBean.
`void` | `setPersonType(java.lang.String personType)` Sets the personType value for this ParticipantBean.
`void` | `setStartDate(java.util.Calendar startDate)` Sets the startDate value for this ParticipantBean.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParticipantBean

    public ParticipantBean()

### ParticipantBean

    public ParticipantBean(java.util.Calendar endDate,
                           long eventId,
                           java.lang.String eventType,
                           long personId,
                           java.lang.String personType,
                           java.util.Calendar startDate)

Method Detail

### getEndDate

    public java.util.Calendar getEndDate()

  Gets the endDate value for this ParticipantBean.

  Returns:
    endDate

### setEndDate

    public void setEndDate(java.util.Calendar endDate)

  Sets the endDate value for this ParticipantBean.

  Parameters:
    `endDate` -

### getEventId

    public long getEventId()

  Gets the eventId value for this ParticipantBean.

  Returns:
    eventId

### setEventId

    public void setEventId(long eventId)

  Sets the eventId value for this ParticipantBean.

  Parameters:
    `eventId` -

### getEventType

    public java.lang.String getEventType()

  Gets the eventType value for this ParticipantBean.

  Returns:
    eventType

### setEventType

    public void setEventType(java.lang.String eventType)

  Sets the eventType value for this ParticipantBean.

  Parameters:
    `eventType` -

### getPersonId

    public long getPersonId()

  Gets the personId value for this ParticipantBean.

  Returns:
    personId

### setPersonId

    public void setPersonId(long personId)

  Sets the personId value for this ParticipantBean.

  Parameters:
    `personId` -

### getPersonType

    public java.lang.String getPersonType()

  Gets the personType value for this ParticipantBean.

  Returns:
    personType

### setPersonType

    public void setPersonType(java.lang.String personType)

  Sets the personType value for this ParticipantBean.

  Parameters:
    `personType` -

### getStartDate

    public java.util.Calendar getStartDate()

  Gets the startDate value for this ParticipantBean.

  Returns:
    startDate

### setStartDate

    public void setStartDate(java.util.Calendar startDate)

  Sets the startDate value for this ParticipantBean.

  Parameters:
    `startDate` -

### equals

    public boolean equals(java.lang.Object obj)

### hashCode

    public int hashCode()

### getTypeDesc

    public static org.apache.axis.description.TypeDesc getTypeDesc()

  Return type metadata object

### getSerializer

    public static org.apache.axis.encoding.Serializer getSerializer(java.lang.String mechType,
                                                                    java.lang.Class _javaType,
                                                                    javax.xml.namespace.QName _xmlType)

  Get Custom Serializer

### getDeserializer

    public static org.apache.axis.encoding.Deserializer getDeserializer(java.lang.String mechType,
                                                                        java.lang.Class _javaType,
                                                                        javax.xml.namespace.QName _xmlType)

  Get Custom Deserializer

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD